Package ch.qos.logback.core.rolling.helper

# Class FileStoreUtil

java.lang.Object
ch.qos.logback.core.rolling.helper.FileStoreUtil

public class FileStoreUtil extends Object
A utility class using functionality available since JDK 1.7.

Since:
  1.0.10
Author:
  ceki

## Constructor Summary

Constructors
Constructor
Description
`FileStoreUtil()`

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`areOnSameFileStore(File a, File b)`
This method assumes that both files a and b exists.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FileStoreUtil

public FileStoreUtil()

## Method Details

### areOnSameFileStore

public static boolean areOnSameFileStore(File a, File b) throws RolloverFailure
This method assumes that both files a and b exists.

Parameters:
  `a` -
  `b` -
Returns:
Throws:
  `Exception`
  `RolloverFailure`